<?php
if (!defined('ABSPATH')) exit;

add_action('publish_asp_invoice', function ($post_id) {
    $user_id = get_post_meta($post_id, '_customer_id', true);
    if (!$user_id) return;

    $user = get_user_by('id', $user_id);
    if (!$user) return;

    wp_mail(
        $user->user_email,
        'הופקה עבורך חשבונית',
        'החשבונית זמינה באזור האישי שלך באתר.'
    );
});
